WinUser.GroupCreationMode (install4j API)
Description: declaration: package: com.install4j.api.windows, class: WinUser, enum: GroupCreationMode

Package com.install4j.api.windows

# Enum Class WinUser.GroupCreationMode

java.lang.Object
java.lang.Enum<WinUser.GroupCreationMode>
com.install4j.api.windows.WinUser.GroupCreationMode

All Implemented Interfaces:
  `Serializable`, `Comparable<WinUser.GroupCreationMode>`, `Constable`

Enclosing class:
  `WinUser`

public static enum WinUser.GroupCreationMode extends Enum<WinUser.GroupCreationMode>
The group creation mode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATE_IF_NECESSARY`
  If the specified group does not exist, create it.
  `CREATE_OR_FAIL`
  Fail if the group already exists.
  `NONE`
  No group should be created and associated with the new user.
  `USE_EXISTING`
  The new user should be added to an existing group.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static WinUser.GroupCreationMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WinUser.GroupCreationMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final WinUser.GroupCreationMode NONE
    No group should be created and associated with the new user.

  - ### USE_EXISTING

    public static final WinUser.GroupCreationMode USE_EXISTING
    The new user should be added to an existing group.

  - ### CREATE_IF_NECESSARY

    public static final WinUser.GroupCreationMode CREATE_IF_NECESSARY
    If the specified group does not exist, create it.

  - ### CREATE_OR_FAIL

    public static final WinUser.GroupCreationMode CREATE_OR_FAIL
    Fail if the group already exists.

- ## Method Details

  - ### values

    public static WinUser.GroupCreationMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WinUser.GroupCreationMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<WinUser.GroupCreationMode>`